<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\PdfListen\TnListen\ShowTnListen;

class MaShowTnListenUseCase extends \Kufer\Web\KuferTools\Basis\PdfListen\TnListen\ShowTnListen\ShowTnListenUseCase
{
  public static function getToolSectionId()
  {
    return 243;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSPLANUNG_MA;
  }

  protected function getIds()
  {
    static $alleKnrs = null;
    if (is_null($alleKnrs)) {
      $user = $this->getUser();
      $kurshelper = new \Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse\MitarbeiterKurse($this->toolSettings, $user);
      $alleKnrs = $kurshelper->getIdsMitFilter($this->getToolId());
    }

    return $alleKnrs;
  }
}